## org.apache.taglibs.standard.tag.common.core
Class UrlSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.UrlSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, ParamParent

Direct Known Subclasses:
  UrlTag, UrlTag

    public abstract class UrlSupport

extends BodyTagSupport
implements ParamParent

Support for tag handlers for <url>, the URL creation and rewriting tag in JSTL 1.0.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary
`protected String` `context`
`protected String` `value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UrlSupport()`

Method Summary
`void` `addParameter(String name, String value)` Adds a parameter to this tag's URL.
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`int` `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` `release()` Release state.
`static String` `resolveUrl(String url, String context, PageContext pageContext)`
`void` `setScope(String scope)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### value

    protected String value

### context

    protected String context

Constructor Detail

### UrlSupport

    public UrlSupport()

Method Detail

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

### addParameter

    public void addParameter(String name,
                             String value)

  Description copied from interface: `ParamParent`
  Adds a parameter to this tag's URL. The intent is that the <param> subtag will call this to register URL parameters. Assumes that 'name' and 'value' are appropriately encoded and do not contain any meaningful metacharacters; in order words, escaping is the responsibility of the caller.

  Specified by:
    `addParameter` in interface `ParamParent`
  See Also:
    `ParamSupport`

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

### resolveUrl

    public static String resolveUrl(String url,
                                    String context,
                                    PageContext pageContext)
                             throws JspException

  Throws:
    `JspException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.